<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: student/globals.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df997ef5cbe81af8266600b381d65502.html">student</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">globals.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="globals_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#pragma once</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="linearAlgebra_8h.html">student/linearAlgebra.h</a>&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">extern</span> <a class="code" href="structMat4.html">Mat4</a> <a class="code" href="globals_8h.html#ae64ebe4c77936fc93d161b97bd8e96df">viewMatrix</a>;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">extern</span> <a class="code" href="structMat4.html">Mat4</a> <a class="code" href="globals_8h.html#a1f344d924f733a22d7659db612a0efe8">projectionMatrix</a>;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">extern</span> <a class="code" href="structVec3.html">Vec3</a> <a class="code" href="globals_8h.html#a2ae2553412ead34e3a4e23019d4f052e">cameraPosition</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">extern</span> <a class="code" href="structVec3.html">Vec3</a> <a class="code" href="globals_8h.html#a1dca963621731fbfc9099646aa00a723">lightPosition</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keywordtype">void</span> <a class="code" href="globals_8h.html#af3e2e485f3ff008910d925cbb25f3a73">initGlobals</a>();</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;}</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="globals_8h_html_a2ae2553412ead34e3a4e23019d4f052e"><div class="ttname"><a href="globals_8h.html#a2ae2553412ead34e3a4e23019d4f052e">cameraPosition</a></div><div class="ttdeci">Vec3 cameraPosition</div><div class="ttdoc">This variable contains camera position in world-space. </div><div class="ttdef"><b>Definition:</b> globals.c:16</div></div>
<div class="ttc" id="structVec3_html"><div class="ttname"><a href="structVec3.html">Vec3</a></div><div class="ttdoc">This struct represents column 3D vector of 32-bt floats. </div><div class="ttdef"><b>Definition:</b> linearAlgebra.h:28</div></div>
<div class="ttc" id="globals_8h_html_af3e2e485f3ff008910d925cbb25f3a73"><div class="ttname"><a href="globals_8h.html#af3e2e485f3ff008910d925cbb25f3a73">initGlobals</a></div><div class="ttdeci">void initGlobals()</div><div class="ttdoc">This function inits globals. </div><div class="ttdef"><b>Definition:</b> globals.c:20</div></div>
<div class="ttc" id="linearAlgebra_8h_html"><div class="ttname"><a href="linearAlgebra_8h.html">linearAlgebra.h</a></div><div class="ttdoc">This file contains structures and function declarations useful for linear algebra. </div></div>
<div class="ttc" id="globals_8h_html_ae64ebe4c77936fc93d161b97bd8e96df"><div class="ttname"><a href="globals_8h.html#ae64ebe4c77936fc93d161b97bd8e96df">viewMatrix</a></div><div class="ttdeci">Mat4 viewMatrix</div><div class="ttdoc">This variable contains view matrix of orbit camera. </div><div class="ttdef"><b>Definition:</b> globals.c:12</div></div>
<div class="ttc" id="globals_8h_html_a1f344d924f733a22d7659db612a0efe8"><div class="ttname"><a href="globals_8h.html#a1f344d924f733a22d7659db612a0efe8">projectionMatrix</a></div><div class="ttdeci">Mat4 projectionMatrix</div><div class="ttdoc">This variable contains projection matrix of orbit camera. </div><div class="ttdef"><b>Definition:</b> globals.c:14</div></div>
<div class="ttc" id="globals_8h_html_a1dca963621731fbfc9099646aa00a723"><div class="ttname"><a href="globals_8h.html#a1dca963621731fbfc9099646aa00a723">lightPosition</a></div><div class="ttdeci">Vec3 lightPosition</div><div class="ttdoc">This variable contains light position in world-space. </div><div class="ttdef"><b>Definition:</b> globals.c:18</div></div>
<div class="ttc" id="structMat4_html"><div class="ttname"><a href="structMat4.html">Mat4</a></div><div class="ttdoc">This struct represents 4x4 matrix - it is represented by 4 column vectors. </div><div class="ttdef"><b>Definition:</b> linearAlgebra.h:43</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
